Subject: Re: [PATCH v3] builtin/merge_recursive.c: Add an usage string and make use of it.

From: Jonathan Nieder <[email-masked]>
Date: Tue, 31 Aug 2010 18:42:26 -0500

Junio C Hamano wrote:

> Hmm, why isn't this a single liner
>
>> -		usagef("%s <base>... -- <head> <remote> ...", argv[0]);
>> +		usagef("git %s <base>... -- <head> <remote> ...", argv[0]);

I can't speak for Thiago, but I assume it's for unity of style with
more complicated commands like "git fetch" that include a usage
message at the top of the file as:

 - a quick introduction for people who don't like to scroll

 - a variable that can be used from other functions when command-line
   mistakes are noticed late.

I would have gone for the one-liner, myself.